Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Class PatternSet.NameEntry

    java.lang.Object
      org.apache.tools.ant.types.PatternSet.NameEntry

Enclosing class:
  PatternSet

public class PatternSet.NameEntry
extends java.lang.Object

inner class to hold a name on list. "If" and "Unless" attributes may be used to invalidate the entry based on the existence of a property (typically set thru the use of the Available task).

Constructor Summary
`PatternSet.NameEntry()`

Method Summary
`java.lang.String` | `evalName(Project p)`
`java.lang.String` | `getName()`
`void` | `setIf(java.lang.String cond)`
`void` | `setName(java.lang.String name)`
`void` | `setUnless(java.lang.String cond)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PatternSet.NameEntry

    public PatternSet.NameEntry()

Method Detail

### setName

    public void setName(java.lang.String name)

### setIf

    public void setIf(java.lang.String cond)

### setUnless

    public void setUnless(java.lang.String cond)

### getName

    public java.lang.String getName()

### evalName

    public java.lang.String evalName(Project p)

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.